set(CPACK_GENERATOR "DEB")
set(CPACK_set_DESTDIR TRUE)

set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT)
set(CPACK_DEBIAN_PACKAGE_NAME "haply-chai3d-demos")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://develop.haply.co/")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Haply Robotics Debian support <debian@haply.co>")
set(CPACK_DEBIAN_PACKAGE_DESCRIPTION "Haply Chai3D Demos")
set(CPACK_DEBIAN_PACKAGE_SECTION "devel")
set(CPACK_DEBIAN_COMPRESSION_TYPE "zstd")
# Not used, keeping to have an example of the synthax.
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "libreadline8, libreadline-dev")

set(CPACK_COMPONENTS_GROUPING ALL_COMPONENTS_IN_ONE)
set(CPACK_DEB_COMPONENT_INSTALL ON)
set(CPACK_COMPONENTS_ALL CHAI3D_EXAMPLES)

set(CPACK_PACKAGE_CONTACT "https://www.haply.co/connect")
set(CPACK_PACKAGE_DIRECTORY "${PROJECT_SOURCE_DIR}/cpack")
set(CPACK_PACKAGE_VERSION_MAJOR 1)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH 0)

include(GNUInstallDirs)
include(CPack)